
From: Dipankar Sarma <dipankar@in.ibm.com>

Fixed copy/user problem in lento_symlink where user address was getting
passed to presto_do_symlink.



 25-akpm/fs/intermezzo/vfs.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/intermezzo/vfs.c~ds-06-intermezzo-usercopy-fix fs/intermezzo/vfs.c
--- 25/fs/intermezzo/vfs.c~ds-06-intermezzo-usercopy-fix	Tue Jun 10 14:55:06 2003
+++ 25-akpm/fs/intermezzo/vfs.c	Tue Jun 10 14:55:06 2003
@@ -1236,7 +1236,7 @@ int lento_symlink(const char *oldname, c
                 goto exit_lock;
         }
         error = presto_do_symlink(fset, nd.dentry,
-                                  dentry, oldname, info);
+                                  dentry, from, info);
         path_release(&nd);
         EXIT;
  exit_lock:

_
